KDE 4.2 PyKDE API Reference

- KDE's Python API

# LinkJob Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.Job → KCompositeJob → KJob → QObject
Namespace: Akonadi

## Detailed Description

Job that links items inside the Akonadi storage.

This job allows you to create references to a set of items in a virtual collection.

Author:
  Volker Krause <vkrause@kde.org>

Since:
  4.2

See also:
  UnlinkJob

## Methods

| __init__ (self, Akonadi.Collection collection, Akonadi.Item.List items, QObject parent=0)
| doStart (self)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | Akonadi.Item.List | items,
|  | QObject | parent=0
| ) |  |  |

Creates the link job.

The job will create references to the given items in the given collection.

Parameters:

  | collection | The collection in which the references should be created.
  | items | The items of which the references should be created.
  | parent | The parent object.

doStart | ( |  | self ) |